Set Telegram command menu
curl --request PUT \
--url https://api.kavenio.com/v1/accounts/{accountId}/telegram-commands \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"commands": [
{
"command": "help",
"description": "Show help"
}
]
}
'import requests
url = "https://api.kavenio.com/v1/accounts/{accountId}/telegram-commands"
payload = { "commands": [
{
"command": "help",
"description": "Show help"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({commands: [{command: 'help', description: 'Show help'}]})
};
fetch('https://api.kavenio.com/v1/accounts/{accountId}/telegram-commands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"accountId": "<string>",
"commands": [
{
"command": "<string>",
"description": "<string>"
}
],
"noVisibleEffect": true
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Telegram
Set Telegram commands
Replaces the Telegram bot command menu for a connected Telegram account.
PUT
/
v1
/
accounts
/
{accountId}
/
telegram-commands
Set Telegram command menu
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Body
application/json
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Was this page helpful?
⌘I